﻿--Command.System.Strict()

local addon, shared = ...

if Inspect.System.Language() == "French" then
	-- Planes
	local air = "Air"
	local earth = "Terre"
	local fire = "Feu"
	local water = "Eau"
	local life = "Vie"
	local death = "Mort"
	
	-- Zones
	local silverwood = "Bois d'Argent"
	local freemarch = "Libremarche"
	local gloamwood = "Bois du Crépuscule"
	local stonefield = "Champ de pierre"
	local scarletgorge = "Gorges Écarlates"
	local scarwoodreach = "Étendue de Bois Meurtris"
	local droughtlands = "Plaines arides"
	local moonshade = "Hautes-Terres d'Ombrelune"
	local ironpinepeak = "Pic du Pin de fer"
	local shimmersand = "Sable-chatoyant"
	local stillmoor = "Mornelande"
	
	shared.text = {
		usage = "EventLookup %s\nUtiliser: /elt -m -z <zone> -p <niveau> <rechercher le texte>\n(-m = événements avec un manque de puissance)",
		
		-- States
		complete = "ACHEVER",
		missing = "MANQUANT",
		defiant = "RENEGATS SEULEMENT",
		guardian = "GARDIENS SEULEMENT"
	}
	
	shared.events = {
		-- { plane, zone, event name, boss name, achievement name, achievement ID}
		{air, droughtlands, "La Terreur du ciel", "Ptevetorax", "Falling Roc", "c41D636E1C4EC0200"},
		{air, droughtlands, "Le Vent du désert", "Ditkanis", "Dust in the Wind", "c7C766D9D872A8AAE"},
		{air, ironpinepeak, "Des envahisseurs glacés", "Sither", "Stone Cold", "c418F32E4E2F0A767"},
		{air, ironpinepeak, "Les Bêtes du ciel", "Nedavada", "Storm Chaser", "c5A0C51BD870DD73B"},
		{air, ironpinepeak, "Frisson planaire", "Kaltes", "Defrosted Kaltes", "c268CA6DC4D365137"},
		{air, shimmersand, "Le vent et les ailes", "Steetos", "Beating the Storm", "c768A63DD98B20D01"},
		{air, shimmersand, "Le serpent de la Tempête", "Aurispus", "Sand Storm Serpent Slayer", "c7EF8612891313D5D"},
		
		{earth, stonefield, "Le Titan de pierre", "Champion de Granite", "Titan Killer", "c581A104791380784"},
		{earth, stonefield, "Bâtons et pierres", "Bulgantis", "Stone Crushed", "c6B21B27C971348CA"},
		{earth, scarletgorge, "Déconstruction systématique", "Excavateur VX-27", "Disassembled", "c0E3F3646C6FCA88D"},
		{earth, scarletgorge, "Un raid royal", "Kayahan", "Gnarcissist", "c26C9344497C949CB"},
		{earth, droughtlands, "Le dard du sable", "Enselthis", "Desert Sting", "c04BF28314273543A"},
		{earth, droughtlands, "La marche de l'Armée de pierre", "Gul'tiesh", "Ancient Undoing", "c18A23BEB9F09D3CC"},
		{earth, shimmersand, "Vénérer le sable", "Malan Ta'er", "Sand Blasted", "c2042E987634DFFB9"},
		{earth, shimmersand, "Fléau des sables", "Derinku", "Between a Rock and a Hot Place", "c27F4E5F49B461464"},

		{fire, silverwood, "La marche des Gedlo", "Cinderon", "Cinderfella", "c409B1838F2DC8D9C"},
		{fire, silverwood, "Le Feu de forêt", "Mar'Kul", "Kul Down", "c49438D1B669C0D56"},
		{fire, gloamwood, "Dans les Profondeurs", "Gobogon", "Burn Notice", "c224E1C117F8E815A"},
		{fire, gloamwood, "Forgé dans la fureur", "Kallusifer", "Extinguished", "c27C4B5C0845A0600"},
		{fire, scarletgorge, "Le Creuset", "Deregal", "Ashes to Ashes", "c3F7446372CA9DFC8"},
		{fire, scarletgorge, "Le Creuset", "Fenkor", "Kiss of the Flame", "c6AEF6967566E3216"},
		{fire, droughtlands, "Draconien enflammé", "Silnolr", "Dragon Warrior", "c290FF1ADAA7E655E"},
		{fire, droughtlands, "Sabotage du plan centaure", "Kartok", "Knight of Flames", "c6E55084045AC8F25"},
		{fire, shimmersand, "De la Fosse", "Valificur", "Fire and Sand", "c70439B3B5A552362"},
		
		{water, freemarch, "Les Profondeurs écrasantes", "Xan'thaerid", "Dead Lobster", "c4A15BB79ACC61D54"},
		{water, freemarch, "La chute du Marteau", "Veras", "Verily Downstream", "c0A7A9453720B876C"},
		{water, moonshade, "Fuir vers les collines", "Maren", "Crashing the Wave", "c40DA58CECF337B8C"},
		{water, ironpinepeak, "La Meute des neiges", "Farous", "The Driven Snow", "c40D47F16F42555AC"},
		{water, ironpinepeak, "Raz-de-marée dans la montagne", "Geygesh", "Mountain Splash", "c5CC9B9DFACC77335"},
		
		{life, silverwood, "La bataille des bois", "Inhibrius", "Intoxicated", "c6906DA688F3440FB"},
		{life, silverwood, "Attaque arboricole", "Gnarladon", "Uprooted", "c50FD748132E6CF64"},
		{life, scarwoodreach, "Coups durs", "Domovinius", "Battle Scars", "c282807BE577A0F74"},
		{life, scarwoodreach, "L'heure de la sorcière", "Lillian Dunst", "Scourge of the Waste", "c3F17DA01E3AF2290"},
		{life, moonshade, "Les marécageux de Gorodon", "Gorodon", "Gorodon Licked", "c76F60B1B9FDD5B71"},
		{life, moonshade, "La vie d'une Mère des marais", "Mogthunk", "Matricide", "c1132E3FD7B323148"},
		{life, stillmoor, "Roi de la forêt", "Barkoth", "Splintered Barkoth", "c1B50E751825D289C"},
		{life, stillmoor, "Sorcière de l'Ouest", "Cekeste Bospin", "What a World", "c394A2F384389BEAC"},
		
		{death, freemarch, "Rassemblement d’âmes", "Grimnir", "Razing the Dead", "c05ADDA5A841DD040"},
		{death, freemarch, "La Main de la Mort", "Griffe de Regulos", "Declawed", "c2070E2A688B1B745"},
		{death, gloamwood, "Le fléau sauvage", "Loup-garou colossal", "Silver Bullet", "c15BE5CA3D248217F"},
		{death, gloamwood, "Tombée de la nuit", "Moirna", "Eclipsing the Twilight", "c4937AE6A71F22ADE"},
		{death, stonefield, "Champ de hurlements", "Vairen Maelwisp", "Ghost Busted", "c2216AD296A0A98C1"},
		{death, stonefield, "Fardeau mort-vivant", "Superviseur Remalkus", "Absent Oversight", "c3051847D53A83E6E"},
		{death, scarletgorge, "La danse des os", "Thangula", "Dead Thang", "c6CCD362C29446B21"},
		{death, scarletgorge, "Hordes peu vivaces", "Meurtrier zombie", "Unclean Masses", "c7BF2225B71D52871"},
		{death, scarwoodreach, "Double danger", "Terreur incarnée", "Twins of Terror", "c2EA929A186E123E8"},
		{death, scarwoodreach, "Horreur ailée", "Hurleffroix", "Vexing the Terror", "c4674B0F66A13AC04"},
		{death, moonshade, "Là où vont les fées de la Mort", "Agrona", "Fairytale Ending", "c287E1E20964DDBB1"},
		{death, moonshade, "Vivre et laisser mourir", "Conchobhar", "Bone Rattled", "c5A72FA7CBB0C758A"},
		{death, ironpinepeak, "Esprits gelés", "Aristult", "Frozen Crypt", "c1D8853C5D61D3539"},
		{death, ironpinepeak, "Glacé jusqu'aux os", "Iktharn Acier-glacé", "Coldsteel of Death", "c4C6626BB81BB8D97"},
		{death, stillmoor, "Chevalier de terreur", "Darian Targeth", "Targeth is Dead", "c294D55216673F7BA"},
		{death, stillmoor, "Monstruosité de chair", "Hrolgaroth", "Tenderized", "c5C1B9842D6BA18B3"},
		{death, stillmoor, "Œil pour œil...", "Gogalab", "Go home Gogalab", "c74324BB1C6A6F629"},
	}
end
